Subject: Re: gdb woes

From: Michael Neuling <[email-masked]>
Date: Tue, 02 Sep 2008 11:03:29 +1000

In message <02d301c90c34$e7c1f2d0$ad289e86@LPSC0173W> you wrote:
> Hello all,
> I have some trouble when trying to use gdb to debug a custom app.
> That app crashes for no reason but always on the same spots (probably 
> hardware related, it runs on homebrew ppc-based card).
> I've used gdb in the past, but always as part of 'bigger' IDEs.
> 
> So I run "gdb myapp" locally on the card and I get the prompt. Then I "run" 
> it and I get dumped back to bash, but a "ps" shows that the app is still 
> running... Anybody has a clue to what I can do about this ? Is there 
> something wrong with my gdb (it's compiled as part of buildroot, like the 
> rest of the OS) ?

If you can reduce your problem to a simple test case that others can
reproduce, it will be easier for others to look at your issue.  

If you think it's a problem with GDB, you might want to send this
message to an appropriate GDB list here:
  http://sourceware.org/gdb/mailing-lists/

Mikey